# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- default
  - default

- Defined in src/ui/egg-list-ui-handler.ts:12

##### Index

### Constructors

constructor

### Properties

active
awaitingActionInput
cursor
message
mode
onActionInput
pendingPrompt
prompt
textCallbackTimer
textTimer
tutorialActive
tutorialOverlay

### Methods

clear
clearText
destroy
getCursor
getTextColor
getUi
initPromptSprite
initTutorialOverlay
isTextAnimationInProgress
processInput
processTutorialInput
setCursor
setMouseCursorStyle
setup
show
showDialogue
showPrompt
showText

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/egg-list-ui-handler.ts:31

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` onActionInput

onActionInput: null | Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` textCallbackTimer

textCallbackTimer: null | TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: null | TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

### tutorialOverlay

tutorialOverlay: Rectangle

Inherited from default.tutorialOverlay

- Defined in src/ui/awaitable-ui-handler.ts:10

## Methods

### clear

- clear(): void

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/egg-list-ui-handler.ts:230

### clearText

- clearText(): void

  #### Returns void

  Inherited from default.clearText

  - Defined in src/ui/message-ui-handler.ts:267

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### initPromptSprite

- initPromptSprite(container: Container): void

  Add the sprite to be displayed at the end of messages with prompts

  #### Parameters

  - container: Container

    the container to add the sprite to

  #### Returns void

  Inherited from default.initPromptSprite

  - Defined in src/ui/message-ui-handler.ts:24

### initTutorialOverlay

- initTutorialOverlay(container: Container): void

  Create a semi transparent overlay that will get shown during tutorials

  #### Parameters

  - container: Container

    the container to add the overlay to

  #### Returns void

  Inherited from default.initTutorialOverlay

  - Defined in src/ui/awaitable-ui-handler.ts:33

### isTextAnimationInProgress

- isTextAnimationInProgress(): boolean

  #### Returns boolean

  Inherited from default.isTextAnimationInProgress

  - Defined in src/ui/message-ui-handler.ts:259

### processInput

- processInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/egg-list-ui-handler.ts:186

### processTutorialInput

- processTutorialInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:16

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/egg-list-ui-handler.ts:208

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): void

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/egg-list-ui-handler.ts:35

### show

- show(args: any[]): boolean

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/egg-list-ui-handler.ts:112

### showDialogue

- showDialogue(
  text: string,
  _name?: string,
  delay?: null | number,
  callback?: null | Function,
  callbackDelay?: null | number,
  prompt?: null | boolean,
  promptDelay?: null | number,
  ): void

  #### Parameters

  - text: string
  - `Optional`_name: string
  - `Optional` delay: null | number
  - `Optional` callback: null | Function
  - `Optional` callbackDelay: null | number
  - `Optional` prompt: null | boolean
  - `Optional` promptDelay: null | number

  #### Returns void

  Inherited from default.showDialogue

  - Defined in src/ui/message-ui-handler.ts:48

### showPrompt

- showPrompt(callback?: null | Function, callbackDelay?: null | number): void

  #### Parameters

  - `Optional` callback: null | Function
  - `Optional` callbackDelay: null | number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:222

### showText

- showText(
  text: string,
  delay?: null | number,
  callback?: null | Function,
  callbackDelay?: null | number,
  prompt?: null | boolean,
  promptDelay?: null | number,
  ): void

  #### Parameters

  - text: string
  - `Optional` delay: null | number
  - `Optional` callback: null | Function
  - `Optional` callbackDelay: null | number
  - `Optional` prompt: null | boolean
  - `Optional` promptDelay: null | number

  #### Returns void

  Inherited from default.showText

  - Defined in src/ui/message-ui-handler.ts:37